#include<iostream>
#include<vector>
#include "sorting.h"
using namespace std;

vector<int> sort_custom(vector<int> c){
  unsigned int i, j;
    
    vector<int> sortedArray( c.size());
    sortedArray = c;
    
    int max;
    
    for(i = 0; i<c.size();i++){
        
        for(j = i; j<c.size();j++){
           if(sortedArray[i] < sortedArray[j]){
               int tmp;
               tmp = sortedArray[i];
               sortedArray[i] = sortedArray[j];
               sortedArray[j] = tmp;
           }  
              
        }
        
    }
    
    return sortedArray;
}


int main() {

   srand(time(NULL));
   int n;
   unsigned int i; 
   vector<int> nums;
   cin>>n;
   for(i = 1; i <= n; i++){
       int element;
       cin>>element;
       nums.push_back(element);
   }
   vector<int> sortedNums = sort_custom(nums);        
   for(i =0;i<sortedNums.size(); i++){
       cout <<  sortedNums[sortedNums.size()-i-1] << " ";
   }
     
   return 0;
}
  
